summaryrefslogtreecommitdiffstats
path: root/calibre/build
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-10-24 11:51:54 +0000
committer Eric Hameleers <alien@slackware.com>2019-10-24 11:51:54 +0000
commit36415db9963fbc480a46847ee7e996339fa23ad2 (patch)
treeae7e9d069d74e392d0daaa88d1f1cd0c304803d6 /calibre/build
parent9e823df5c551d33958f701adefc04c5038be0155 (diff)
downloadasb-36415db9963fbc480a46847ee7e996339fa23ad2.tar.gz
asb-36415db9963fbc480a46847ee7e996339fa23ad2.tar.xz
calibre: skip the qt5 modules we do not need. Fix a script abort.
Diffstat (limited to 'calibre/build')
-rwxr-xr-xcalibre/build/calibre.SlackBuild26
1 files changed, 17 insertions, 9 deletions
diff --git a/calibre/build/calibre.SlackBuild b/calibre/build/calibre.SlackBuild
index da58c1a6..5c7d43a1 100755
--- a/calibre/build/calibre.SlackBuild
+++ b/calibre/build/calibre.SlackBuild
@@ -610,6 +610,9 @@ make_xkbcommon() {
#
make_qt5() {
+ # Calibre needs: qt-base, qt-svg, qt-declarative, qt-imageformats,
+ # qt-webchannel, qt-location, qt-x11extras, qt-sensors, qt-webengine.
+
local MOD="qt5"
echo -e "\n** $MOD **\n"
@@ -706,10 +709,15 @@ make_qt5() {
-no-use-gold-linker \
-no-sql-odbc -no-sql-psql \
-no-qml-debug \
- -skip qtactiveqt -skip qtscript -skip qttools \
- -skip qtxmlpatterns -skip qttranslations -skip qtdoc \
- -skip qtgraphicaleffects -skip qtquickcontrols -skip qtquickcontrols2 \
- -skip qt3d -skip qtcanvas3d \
+ -skip qt3d -skip qtactiveqt -skip qtandroidextras -skip qtcharts \
+ -skip qtconnectivity -skip qtdatavis3d -skip qtdoc -skip qtgamepad \
+ -skip qtgraphicaleffects -skip qtlottie -skip qtmacextras \
+ -skip qtmultimedia -skip qtnetworkauth -skip qtpurchasing \
+ -skip qtquickcontrols -skip qtquickcontrols2 -skip qtremoteobjects \
+ -skip qtscript -skip qtscxml -skip qtserialbus -skip qtserialport \
+ -skip qtspeech -skip qttools -skip qttranslations -skip qtwayland \
+ -skip qtwebglplugin -skip qtwebsockets -skip qtwebview \
+ -skip qtwinextras -skip qtxmlpatterns \
-webengine-proprietary-codecs \
${PACONF} \
$RELOCATIONS \
@@ -1838,6 +1846,8 @@ make_calibre () {
export PODOFO_INC_DIR="/usr/lib${LIBDIRSUFFIX}/calibre/include/podofo" \
export PODOFO_LIB_DIR="/usr/lib${LIBDIRSUFFIX}/calibre/lib" \
+ OVERRIDE_LDFLAGS="$LDFLAGS $SLKLDFLAGS" \
+ OVERRIDE_CFLAGS="$CFLAGS $SLKCFLAGS" \
LANG='en_US.UTF-8' python2 setup.py build \
2>&1 | tee $OUTPUT/make-${PRGNAM}.log
@@ -1858,8 +1868,6 @@ make_calibre () {
2>&1 | tee $OUTPUT/install-$PRGNAM.log
# The bash completion files need to be in /etc :
- OVERRIDE_LDFLAGS="$LDFLAGS $SLKLDFLAGS" \
- OVERRIDE_CFLAGS="$CFLAGS $SLKCFLAGS" \
[ -d $PKG/usr/etc ] && mv $PKG/usr/etc $PKG/
# Add man pages:
@@ -2232,7 +2240,7 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
if [ "$BUILD_PYTHON" = "YES" -o "$BUILD_PYTHONMODS" = "YES" ]; then
# Add documentation (mainly licenses) of the internal python deps:
- mv $PKG/usr/lib${LIBDIRSUFFIX}/calibre/doc/internaldeps/* $PKG/usr/doc/$PRGNAM-$VERSION/
+ mv $PKG/usr/lib${LIBDIRSUFFIX}/calibre/doc/internaldeps/* $PKG/usr/doc/$PRGNAM-$VERSION/ || true
rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/calibre/doc
fi
# Add all the patches we used to build this package:
@@ -2268,13 +2276,13 @@ cat $SRCDIR/slack-required > $PKG/install/slack-required
if [ "$BUILD_PYTHONMODS" = "YES" ]; then
cat $PKG/install/slack-required \
| grep -Ev "PyQt5|PyQtWebEngine|dbus-python|dnspython|pycrypto|pysetuptools|python-apsw|python-beautifulsoup4|python-bflc|python-chardet|python-css-parser|python-dateutil|python-enum34|python-feedparser|pyhton-html2text|python-html5-parser|python-html5lib|python-lxml|python-markdown|python-mechanize|python-msgpack|python-netifaces|python-pillow|python-psutil|python-pygments|python-regex|python-six|python-soupsieve|python-unrardll|python-webencodings|sip|sqlite-amalgamation" \
- > $PKG/install/slack-required.temp
+ > $PKG/install/slack-required.temp || true
mv $PKG/install/slack-required.temp $PKG/install/slack-required
fi
if [ "$BUILD_QT" = "YES" ]; then
cat $PKG/install/slack-required \
| grep -Ev "libxkbcommon|libinput|libwacom|qt5" \
- > $PKG/install/slack-required.temp
+ > $PKG/install/slack-required.temp || true
mv $PKG/install/slack-required.temp $PKG/install/slack-required
fi